--- old/usr/src/uts/i86xpv/cpu/generic_cpu/gcpu_poll_xpv.c	2015-08-19 07:25:25.061048037 -0400
+++ new/usr/src/uts/i86xpv/cpu/generic_cpu/gcpu_poll_xpv.c	2015-08-19 07:25:25.066634116 -0400
@@ -123,7 +123,7 @@
 	    gcpu_xpv_mch_poll_interval_secs != 0) {
 		gcpu_xpv_mch_poll_timeoutid = timeout(gcpu_xpv_mch_poll,
 		    GCPU_XPV_MCH_POLL_REARM,
-		    drv_usectohz(gcpu_xpv_mch_poll_interval_secs * MICROSEC));
+		    drv_sectohz(gcpu_xpv_mch_poll_interval_secs));
 	}
 }
 
@@ -183,8 +183,7 @@
 		if (gcpu_xpv_mch_poll_interval_secs != 0) {
 			gcpu_xpv_mch_poll_timeoutid =
 			    timeout(gcpu_xpv_mch_poll, GCPU_XPV_MCH_POLL_REARM,
-			    drv_usectohz(gcpu_xpv_mch_poll_interval_secs *
-			    MICROSEC));
+			    drv_sectohz(gcpu_xpv_mch_poll_interval_secs));
 		}
 
 		/*
--- old/usr/src/uts/i86xpv/os/xen_machdep.c	2015-08-19 07:25:25.217576427 -0400
+++ new/usr/src/uts/i86xpv/os/xen_machdep.c	2015-08-19 07:25:25.223088323 -0400
@@ -800,7 +800,7 @@
 	psignal(initpp, SIGPWR);
 
 	(void) timeout(xen_dirty_shutdown, arg,
-	    SHUTDOWN_TIMEOUT_SECS * drv_usectohz(MICROSEC));
+	    drv_sectohz(SHUTDOWN_TIMEOUT_SECS));
 }
 
 /*ARGSUSED*/
--- old/usr/src/uts/intel/io/dktp/disk/cmdk.c	2015-08-19 07:25:25.409325186 -0400
+++ new/usr/src/uts/intel/io/dktp/disk/cmdk.c	2015-08-19 07:25:25.414708866 -0400
@@ -630,7 +630,7 @@
 
 	/* need to wait a while */
 	while (dadk_getcmds(DKTP_DATA) != 0) {
-		delay(drv_usectohz(1000000));
+		delay(drv_sectohz(1));
 		if (count > 60) {
 			dkp->dk_flag &= ~CMDK_SUSPEND;
 			cv_broadcast(&dkp->dk_suspend_cv);
--- old/usr/src/uts/intel/io/dktp/hba/ghd/ghd_timer.c	2015-08-19 07:25:25.611810183 -0400
+++ new/usr/src/uts/intel/io/dktp/hba/ghd/ghd_timer.c	2015-08-19 07:25:25.617304767 -0400
@@ -741,7 +741,7 @@
 	/*
 	 * determine default timeout value
 	 */
-	ghd_HZ = drv_usectohz(1000000);
+	ghd_HZ = drv_sectohz(1);
 	if (ticks == 0)
 		ticks = scsi_watchdog_tick * ghd_HZ;
 	tmrp->t_ticks = ticks;
--- old/usr/src/uts/intel/io/dnet/dnet_mii.c	2015-08-19 07:25:25.784167184 -0400
+++ new/usr/src/uts/intel/io/dnet/dnet_mii.c	2015-08-19 07:25:25.789572057 -0400
@@ -731,7 +731,7 @@
 	}
 	/* Check the ports every 5 seconds */
 	mac->portmon_timer = timeout((void (*)(void*))mii_portmon, (void *)mac,
-	    (clock_t)(5 * drv_usectohz(1000000)));
+	    drv_sectohz(5));
 	if (mac->lock)
 		mutex_exit(mac->lock);
 }
--- old/usr/src/uts/intel/io/heci/heci_data_structures.h	2015-08-19 07:25:25.957751020 -0400
+++ new/usr/src/uts/intel/io/heci/heci_data_structures.h	2015-08-19 07:25:25.963344893 -0400
@@ -211,7 +211,7 @@
 		&pos->member != (head);                                    \
 		pos = n, n = find_struct(n->member.list_next, type, member))
 
-#define	HZ		drv_usectohz(1000000)
+#define	HZ		drv_sectohz(1)
 /*
  * time to wait HECI become ready after init
  */
--- old/usr/src/uts/intel/io/ipmi/ipmi_kcs.c	2015-08-19 07:25:26.124209243 -0400
+++ new/usr/src/uts/intel/io/ipmi/ipmi_kcs.c	2015-08-19 07:25:26.129963477 -0400
@@ -195,7 +195,7 @@
 		status = kcs_wait_for_ibf(sc, 0);
 		if (KCS_STATUS_STATE(status) == KCS_STATUS_STATE_WRITE)
 			break;
-		delay(drv_usectohz(1000000));
+		delay(drv_sectohz(1));
 	}
 
 	if (KCS_STATUS_STATE(status) != KCS_STATUS_STATE_WRITE)
--- old/usr/src/uts/intel/io/scsi/adapters/arcmsr/arcmsr.c	2015-08-19 07:25:26.286161201 -0400
+++ new/usr/src/uts/intel/io/scsi/adapters/arcmsr/arcmsr.c	2015-08-19 07:25:26.292335449 -0400
@@ -330,10 +330,10 @@
 		/* restart ccbs "timeout" watchdog */
 		acb->timeout_count = 0;
 		acb->timeout_id = timeout(arcmsr_ccbs_timeout, (caddr_t)acb,
-		    (ARCMSR_TIMEOUT_WATCH * drv_usectohz(1000000)));
+		    drv_sectohz(ARCMSR_TIMEOUT_WATCH));
 		acb->timeout_sc_id = timeout(arcmsr_devMap_monitor,
 		    (caddr_t)acb,
-		    (ARCMSR_DEV_MAP_WATCH * drv_usectohz(1000000)));
+		    drv_sectohz(ARCMSR_DEV_MAP_WATCH));
 		mutex_exit(&acb->acb_mutex);
 		return (DDI_SUCCESS);
 
@@ -2954,9 +2954,9 @@
 	acb->timeout_count = 0;
 	/* active ccbs "timeout" watchdog */
 	acb->timeout_id = timeout(arcmsr_ccbs_timeout, (caddr_t)acb,
-	    (ARCMSR_TIMEOUT_WATCH * drv_usectohz(1000000)));
+	    drv_sectohz(ARCMSR_TIMEOUT_WATCH));
 	acb->timeout_sc_id = timeout(arcmsr_devMap_monitor, (caddr_t)acb,
-	    (ARCMSR_DEV_MAP_WATCH * drv_usectohz(1000000)));
+	    drv_sectohz(ARCMSR_DEV_MAP_WATCH));
 
 	/* report device info */
 	ddi_report_dev(dev_info);
@@ -3162,8 +3162,7 @@
 			    ((acb->acb_flags & ACB_F_SCSISTOPADAPTER) == 0)) {
 				/* do pkt timeout check each 60 secs */
 				acb->timeout_id = timeout(arcmsr_ccbs_timeout,
-				    (void*)acb, (ARCMSR_TIMEOUT_WATCH *
-				    drv_usectohz(1000000)));
+				    (void*)acb, drv_sectohz(ARCMSR_TIMEOUT_WATCH));
 			}
 			mutex_exit(&acb->isr_mutex);
 			arcmsr_enable_allintr(acb, intmask_org);
@@ -3213,7 +3212,7 @@
 	    ((acb->acb_flags & ACB_F_SCSISTOPADAPTER) == 0)) {
 		/* do pkt timeout check each 60 secs */
 		acb->timeout_id = timeout(arcmsr_ccbs_timeout,
-		    (void*)acb, (ARCMSR_TIMEOUT_WATCH * drv_usectohz(1000000)));
+		    (void*)acb, drv_sectohz(ARCMSR_TIMEOUT_WATCH));
 	}
 	mutex_exit(&acb->isr_mutex);
 	arcmsr_enable_allintr(acb, intmask_org);
@@ -3431,7 +3430,7 @@
 	    ((acb->acb_flags & ACB_F_SCSISTOPADAPTER) == 0)) {
 		/* do pkt timeout check each 5 secs */
 		acb->timeout_id = timeout(arcmsr_devMap_monitor, (void*)acb,
-		    (ARCMSR_DEV_MAP_WATCH * drv_usectohz(1000000)));
+		    drv_sectohz(ARCMSR_DEV_MAP_WATCH));
 	}
 }
 
--- old/usr/src/uts/sparc/io/pciex/pcieb_sparc.c	2015-08-19 07:25:26.591665913 -0400
+++ new/usr/src/uts/sparc/io/pciex/pcieb_sparc.c	2015-08-19 07:25:26.596965484 -0400
@@ -500,7 +500,7 @@
 	    &mattr, &h) != DDI_SUCCESS)
 		return;
 	ddi_put32(h, (uint32_t *)((uchar_t *)mp + addr_reg_off), data);
-	delay(drv_usectohz(1000000));
+	delay(drv_sectohz(1));
 	printf("%s#%d: EEPROM StatusReg = %x, CRC = %x\n",
 	    ddi_driver_name(dip), ddi_get_instance(dip),
 	    ddi_get32(h, (uint32_t *)((uchar_t *)mp + addr_reg_off)),
@@ -509,7 +509,7 @@
 	/* prevent hot reset from propogating downstream. */
 	data = ddi_get32(h, (uint32_t *)((uchar_t *)mp + 0x1DC));
 	ddi_put32(h, (uint32_t *)((uchar_t *)mp + 0x1DC), data | 0x80000);
-	delay(drv_usectohz(1000000));
+	delay(drv_sectohz(1));
 	printf("%s#%d: EEPROM 0x1DC prewrite=%x postwrite=%x\n",
 	    ddi_driver_name(dip), ddi_get_instance(dip), data,
 	    ddi_get32(h, (uint32_t *)((uchar_t *)mp + 0x1DC)));
--- old/usr/src/uts/sun/io/dada/targets/dad.c	2015-08-19 07:25:26.756552479 -0400
+++ new/usr/src/uts/sun/io/dada/targets/dad.c	2015-08-19 07:25:26.762336330 -0400
@@ -703,7 +703,7 @@
 		 */
 		wait_cmds_complete = ddi_get_lbolt();
 		wait_cmds_complete +=
-		    DCD_WAIT_CMDS_COMPLETE * drv_usectohz(1000000);
+		    drv_sectohz(DCD_WAIT_CMDS_COMPLETE);
 
 		while (un->un_ncmds) {
 			if (cv_timedwait(&un->un_disk_busy_cv,
--- old/usr/src/uts/sun/io/fd.c	2015-08-19 07:25:27.022744063 -0400
+++ new/usr/src/uts/sun/io/fd.c	2015-08-19 07:25:27.028582094 -0400
@@ -3789,7 +3789,7 @@
 	 */
 	if (csb->csb_opflags & CSB_OFTIMEIT) {
 		fdc->c_timeid = timeout(fdwatch, a,
-		    tosec * drv_usectohz(1000000));
+		    drv_sectohz(tosec));
 	}
 
 	FDERRPRINT(FDEP_L1, FDEM_EXEC,
@@ -4842,7 +4842,7 @@
 
 		local_lbolt = ddi_get_lbolt();
 		if (cv_timedwait(&fdc->c_iocv, &fdc->c_lolock,
-		    local_lbolt + drv_usectohz(1000000)) == -1) {
+		    local_lbolt + drv_sectohz(1)) == -1) {
 			return (-1);
 		}
 		break;
--- old/usr/src/uts/sun/io/scsi/adapters/fas.c	2015-08-19 07:25:27.340469691 -0400
+++ new/usr/src/uts/sun/io/scsi/adapters/fas.c	2015-08-19 07:25:27.346538917 -0400
@@ -994,8 +994,7 @@
 			fas_log(fas, CE_NOTE, "?scsi-watchdog-tick=%d\n",
 			    fas_scsi_watchdog_tick);
 		}
-		fas_tick = drv_usectohz((clock_t)
-		    fas_scsi_watchdog_tick * 1000000);
+		fas_tick = drv_sectohz((clock_t)fas_scsi_watchdog_tick);
 		IPRINTF2("fas scsi watchdog tick=%x, fas_tick=%lx\n",
 		    fas_scsi_watchdog_tick, fas_tick);
 		if (fas_timeout_id == 0) {
@@ -1365,7 +1364,7 @@
 	if (fas_check_outstanding(fas)) {
 		fas->f_softstate |= FAS_SS_DRAINING;
 		fas->f_quiesce_timeid = timeout(fas_ncmds_checkdrain,
-		    fas, (FAS_QUIESCE_TIMEOUT * drv_usectohz(1000000)));
+		    fas, drv_sectohz(FAS_QUIESCE_TIMEOUT));
 		if (cv_wait_sig(FAS_CV(fas), FAS_MUTEX(fas)) == 0) {
 			/*
 			 * quiesce has been interrupted.
@@ -1436,7 +1435,7 @@
 			fas_set_throttles(fas, 0, N_SLOTS, HOLD_THROTTLE);
 			IPRINTF("fas_drain: rescheduling timeout\n");
 			fas->f_quiesce_timeid = timeout(fas_ncmds_checkdrain,
-			    fas, (FAS_QUIESCE_TIMEOUT * drv_usectohz(1000000)));
+			    fas, drv_sectohz(FAS_QUIESCE_TIMEOUT));
 		}
 	}
 	mutex_exit(FAS_MUTEX(fas));
--- old/usr/src/uts/sun/io/scsi/adapters/sf.c	2015-08-19 07:25:27.727515499 -0400
+++ new/usr/src/uts/sun/io/scsi/adapters/sf.c	2015-08-19 07:25:27.733495119 -0400
@@ -786,8 +786,7 @@
 		 */
 		if (!sf_watchdog_init++) {
 			mutex_exit(&sf_global_mutex);
-			sf_watchdog_tick = sf_watchdog_timeout *
-			    drv_usectohz(1000000);
+			sf_watchdog_tick = drv_sectohz(sf_watchdog_timeout);
 			sf_watchdog_id = timeout(sf_watch,
 			    NULL, sf_watchdog_tick);
 		} else {
--- old/usr/src/uts/sun/sys/dada/targets/daddef.h	2015-08-19 07:25:28.070230313 -0400
+++ new/usr/src/uts/sun/sys/dada/targets/daddef.h	2015-08-19 07:25:28.075597110 -0400
@@ -317,7 +317,7 @@
  * 5 seconds is what we'll wait if we get a Busy Status back
  */
 
-#define	DCD_BSY_TIMEOUT		(drv_usectohz(5 * 1000000))
+#define	DCD_BSY_TIMEOUT		drv_sectohz(5)
 
 /*
  * Number of times we'll retry a normal operation.
--- old/usr/src/uts/sun/sys/fdreg.h	2015-08-19 07:25:28.231193326 -0400
+++ new/usr/src/uts/sun/sys/fdreg.h	2015-08-19 07:25:28.237043145 -0400
@@ -149,7 +149,7 @@
 #ifndef	_ASM
 #define	Moton_delay	(drv_usectohz(750000))		/* motor on delay */
 							/* 0.75 seconds */
-#define	Motoff_delay	(6 * drv_usectohz(1000000))	/* motor off delay */
+#define	Motoff_delay	drv_sectohz(6)		/* motor off delay */
 							/* 6 seconds */
 
 /* Macros to set and retrieve data from the controller registers */
--- old/usr/src/uts/sun4/io/px/px_ib.c	2015-08-19 07:25:28.390498983 -0400
+++ new/usr/src/uts/sun4/io/px/px_ib.c	2015-08-19 07:25:28.396108172 -0400
@@ -1066,7 +1066,7 @@
 	    (old_ih_p->ih_intr_flags & PX_INTR_PENDING)) {
 
 		/* Wait for one second */
-		delay(drv_usectohz(1000000));
+		delay(drv_sectohz(1));
 
 		end_time = gethrtime() - start_time;
 		if (end_time > px_ib_msix_retarget_timeout) {
--- old/usr/src/uts/sun4u/cherrystone/os/cherrystone.c	2015-08-19 07:25:28.572105463 -0400
+++ new/usr/src/uts/sun4u/cherrystone/os/cherrystone.c	2015-08-19 07:25:28.577728667 -0400
@@ -169,7 +169,7 @@
 	 */
 	e_ddi_hold_devi(keysw_dip);
 
-	keypoll_timeout_hz = drv_usectohz(10 * MICROSEC);
+	keypoll_timeout_hz = drv_sectohz(10);
 	keyswitch_poll(keysw_dip);
 	abort_seq_handler = cherry_abort_seq_handler;
 
--- old/usr/src/uts/sun4u/cpu/us3_common.c	2015-08-19 07:25:28.737639104 -0400
+++ new/usr/src/uts/sun4u/cpu/us3_common.c	2015-08-19 07:25:28.743712373 -0400
@@ -2440,8 +2440,7 @@
 				 */
 				(void) timeout(cpu_delayed_check_ce_errors,
 				    (void *)(uintptr_t)aflt->flt_inst,
-				    drv_usectohz((clock_t)cpu_ceen_delay_secs
-				    * MICROSEC));
+				    drv_sectohz((clock_t)cpu_ceen_delay_secs));
 				}
 
 				/*
@@ -2668,7 +2667,7 @@
 	if (ch_flt->flt_trapped_ce & CE_CEEN_DEFER) {
 		(void) timeout(cpu_delayed_check_ce_errors,
 		    (void *)(uintptr_t)aflt->flt_inst,
-		    drv_usectohz((clock_t)cpu_ceen_delay_secs * MICROSEC));
+		    drv_sectohz((clock_t)cpu_ceen_delay_secs));
 	}
 }
 
@@ -6072,7 +6071,7 @@
 	if (!taskq_dispatch(ch_check_ce_tq, cpu_check_ce_errors, arg,
 	    TQ_NOSLEEP)) {
 		(void) timeout(cpu_delayed_check_ce_errors, arg,
-		    drv_usectohz((clock_t)cpu_ceen_delay_secs * MICROSEC));
+		    drv_sectohz((clock_t)cpu_ceen_delay_secs));
 	}
 }
 
@@ -6161,7 +6160,7 @@
 		mutex_exit(&cpu_lock);
 		(void) timeout(cpu_delayed_check_ce_errors,
 		    (void *)(uintptr_t)cp->cpu_id,
-		    drv_usectohz((clock_t)cpu_ceen_delay_secs * MICROSEC));
+		    drv_sectohz((clock_t)cpu_ceen_delay_secs));
 	}
 }
 
--- old/usr/src/uts/sun4u/daktari/os/daktari.c	2015-08-19 07:25:29.078113770 -0400
+++ new/usr/src/uts/sun4u/daktari/os/daktari.c	2015-08-19 07:25:29.083392197 -0400
@@ -166,7 +166,7 @@
 	 */
 	e_ddi_hold_devi(keysw_dip);
 
-	keypoll_timeout_hz = drv_usectohz(10 * MICROSEC);
+	keypoll_timeout_hz = drv_sectohz(10);
 	keyswitch_poll(keysw_dip);
 	abort_seq_handler = daktari_abort_seq_handler;
 }
--- old/usr/src/uts/sun4u/excalibur/io/xcalwd.c	2015-08-19 07:25:29.273083690 -0400
+++ new/usr/src/uts/sun4u/excalibur/io/xcalwd.c	2015-08-19 07:25:29.279246470 -0400
@@ -456,7 +456,7 @@
 		tsp->intvl = intvl;
 		tsp->tid = realtime_timeout(xcalwd_timeout,
 		    (void *)(uintptr_t)instance,
-		    drv_usectohz(1000000) * tsp->intvl);
+		    drv_sectohz(tsp->intvl));
 		tsp->started = B_TRUE;
 		mutex_exit(&tsp->lock);
 		return (0);
@@ -473,7 +473,7 @@
 		if (tsp->started == B_TRUE)	/* reinstate */
 			tsp->tid = realtime_timeout(xcalwd_timeout,
 			    (void *)(uintptr_t)instance,
-			    drv_usectohz(1000000) * tsp->intvl);
+			    drv_sectohz(tsp->intvl));
 		mutex_exit(&tsp->lock);
 		return (0);
 	case XCALWD_GETSTATE:
--- old/usr/src/uts/sun4u/io/pci/pci_ecc.c	2015-08-19 07:25:29.443153226 -0400
+++ new/usr/src/uts/sun4u/io/pci/pci_ecc.c	2015-08-19 07:25:29.448824933 -0400
@@ -605,8 +605,7 @@
 		    ecc_err->ecc_p->ecc_to_id == 0) {
 			ecc_err->ecc_p->ecc_to_id = timeout(ecc_delayed_ce,
 			    (void *)ecc_err->ecc_p,
-			    drv_usectohz((clock_t)ecc_ce_delay_secs *
-			    MICROSEC));
+			    drv_sectohz((clock_t)ecc_ce_delay_secs));
 		}
 
 		/* ecc_err_cexdiag returns nonzero to recirculate */
--- old/usr/src/uts/sun4u/io/px/px_hlib.c	2015-08-19 07:25:29.611847818 -0400
+++ new/usr/src/uts/sun4u/io/px/px_hlib.c	2015-08-19 07:25:29.617709677 -0400
@@ -3229,7 +3229,7 @@
 		CSR_BS(csr_base, HOTPLUG_CONTROL, SLOTPON);
 
 	/* Wait for one second */
-	delay(drv_usectohz(1000000));
+	delay(drv_sectohz(1));
 
 	return (DDI_SUCCESS);
 
@@ -3352,7 +3352,7 @@
 		}
 
 		/* Wait for one second */
-		delay(drv_usectohz(1000000));
+		delay(drv_sectohz(1));
 	}
 
 	/* Indicator LED off */
--- old/usr/src/uts/sun4u/io/rmclomv.c	2015-08-19 07:25:29.845383279 -0400
+++ new/usr/src/uts/sun4u/io/rmclomv.c	2015-08-19 07:25:29.850840247 -0400
@@ -469,7 +469,7 @@
 		 * Also just this once set the Solaris clock
 		 * to the RMC clock.
 		 */
-		timesync_interval = drv_usectohz(5*60 * MICROSEC);
+		timesync_interval = drv_sectohz(5 * 60);
 		plat_timesync((void *) &attaching);
 
 		return (DDI_SUCCESS);
@@ -2999,7 +2999,7 @@
 		 */
 		if (timer_id == 0) {
 			timer_id = timeout(rmclomv_checkrmc_wakeup, NULL,
-			    60 * drv_usectohz(1000000));
+			    drv_sectohz(60));
 		}
 
 		mutex_exit(&rmclomv_checkrmc_lock);
--- old/usr/src/uts/sun4u/littleneck/io/pcf8574_lneck.c	2015-08-19 07:25:30.090139016 -0400
+++ new/usr/src/uts/sun4u/littleneck/io/pcf8574_lneck.c	2015-08-19 07:25:30.095654121 -0400
@@ -553,7 +553,7 @@
 	if (regs[0] == 0 && regs[1] == 0x7c) {
 		abort_seq_handler = littleneck_abort_seq_handler;
 		keypoll_timeout_hz =
-		    drv_usectohz(LNECK_KEY_POLL_INTVL * MICROSEC);
+		    drv_sectohz(LNECK_KEY_POLL_INTVL);
 		littleneck_ks_poll(unitp);
 	}
 
--- old/usr/src/uts/sun4u/montecarlo/io/scsb.c	2015-08-19 07:25:30.257645435 -0400
+++ new/usr/src/uts/sun4u/montecarlo/io/scsb.c	2015-08-19 07:25:30.263851112 -0400
@@ -2767,9 +2767,7 @@
 							scsb->scsb_btid =
 							    timeout(
 							    scsb_ps_auto_on,
-							    &pao, (4 *
-							    drv_usectohz(
-							    1000000)));
+							    &pao, drv_sectohz(4));
 					} else
 #endif	/* PS_ON_DELAY */
 						scsb_ps_auto_on((void *)&pao);
--- old/usr/src/uts/sun4u/serengeti/io/sgsbbc_mailbox.c	2015-08-19 07:25:30.594256639 -0400
+++ new/usr/src/uts/sun4u/serengeti/io/sgsbbc_mailbox.c	2015-08-19 07:25:30.599697639 -0400
@@ -920,7 +920,7 @@
 	if (wait_time < sbbc_mbox_min_timeout)
 		wait_time = sbbc_mbox_default_timeout;
 
-	stop_time = ddi_get_lbolt() + wait_time * drv_usectohz(MICROSEC);
+	stop_time = ddi_get_lbolt() + drv_sectohz(wait_time);
 
 	/*
 	 * If there is a message being processed, sleep until it is our turn.
--- old/usr/src/uts/sun4u/starfire/cvc/cvc.c	2015-08-19 07:25:30.814305770 -0400
+++ new/usr/src/uts/sun4u/starfire/cvc/cvc.c	2015-08-19 07:25:30.819653358 -0400
@@ -988,7 +988,7 @@
 		if ((cvcoutput_q == NULL) || (via_bbsram))
 			delay(drv_usectohz(100000));
 		else
-			delay(drv_usectohz(1000000));
+			delay(drv_sectohz(1));
 		cvc_bbsram_ops(BBSRAM_CONTROL_REG);
 		count = BBSRAM_INPUT_COUNT;
 	} while (count == 0);
--- old/usr/src/uts/sun4u/sunfire/io/ac.c	2015-08-19 07:25:30.991488906 -0400
+++ new/usr/src/uts/sun4u/sunfire/io/ac.c	2015-08-19 07:25:30.997015346 -0400
@@ -1551,7 +1551,7 @@
 	 * create a new timeout.
 	 */
 	ac_hot_plug_timeout = timeout(ac_timeout, NULL,
-	    drv_usectohz(ac_hot_plug_timeout_interval * 1000000));
+	    drv_sectohz(ac_hot_plug_timeout_interval));
 
 	mutex_exit(&ac_hot_plug_mode_mutex);
 	return (0);
--- old/usr/src/uts/sun4u/sunfire/io/sysctrl.c	2015-08-19 07:25:31.182982326 -0400
+++ new/usr/src/uts/sun4u/sunfire/io/sysctrl.c	2015-08-19 07:25:31.188471291 -0400
@@ -442,7 +442,7 @@
 	bd_insert_retry_hz = drv_usectohz(BRD_INSERT_RETRY_USEC);
 	bd_remove_timeout_hz = drv_usectohz(BRD_REMOVE_TIMEOUT_USEC);
 	blink_led_timeout_hz = drv_usectohz(BLINK_LED_TIMEOUT_USEC);
-	overtemp_timeout_hz = drv_usectohz(OVERTEMP_TIMEOUT_SEC * MICROSEC);
+	overtemp_timeout_hz = drv_sectohz(OVERTEMP_TIMEOUT_SEC);
 	keyswitch_timeout_hz = drv_usectohz(KEYSWITCH_TIMEOUT_USEC);
 
 	/*
--- old/usr/src/uts/sun4v/io/platsvc.c	2015-08-19 07:25:31.414286769 -0400
+++ new/usr/src/uts/sun4v/io/platsvc.c	2015-08-19 07:25:31.419576911 -0400
@@ -56,7 +56,7 @@
 #define	MS2NANO(x)	((x) * MICROSEC)
 #define	MS2SEC(x)	((x) / MILLISEC)
 #define	MS2MIN(x)	(MS2SEC(x) / 60)
-#define	SEC2HZ(x)	(drv_usectohz((x) * MICROSEC))
+#define	SEC2HZ(x)	drv_sectohz(x)
 
 /*
  * Domains Services interaction
--- old/usr/src/uts/sun4v/io/vdc.c	2015-08-19 07:25:31.582402244 -0400
+++ new/usr/src/uts/sun4v/io/vdc.c	2015-08-19 07:25:31.588306125 -0400
@@ -4479,7 +4479,7 @@
 
 			if (ctimeout != 0 && tmid == 0) {
 				tmid = timeout(vdc_connection_timeout, vdcp,
-				    ctimeout * drv_usectohz(MICROSEC));
+				    drv_sectohz(ctimeout));
 			}
 
 			/* Switch to STATE_DETACH if drv is detaching */
@@ -4542,8 +4542,7 @@
 			 * Wait for LDC_UP. If it times out and we have multiple
 			 * servers then we will retry using a different server.
 			 */
-			ldcup_timeout = ddi_get_lbolt() + (vdc_ldcup_timeout *
-			    drv_usectohz(MICROSEC));
+			ldcup_timeout = ddi_get_lbolt() + drv_sectohz(vdc_ldcup_timeout);
 			status = cv_timedwait(&vdcp->initwait_cv, &vdcp->lock,
 			    ldcup_timeout);
 			if (status == -1 &&
--- old/usr/src/uts/sun4v/io/vnet_gen.c	2015-08-19 07:25:31.942399271 -0400
+++ new/usr/src/uts/sun4v/io/vnet_gen.c	2015-08-19 07:25:31.948143537 -0400
@@ -4121,7 +4121,7 @@
 		 */
 		ASSERT(ldcp->htid == 0);
 		ldcp->htid = timeout(vgen_hwatchdog, (caddr_t)ldcp,
-		    drv_usectohz(vgen_hwd_interval * MICROSEC));
+		    drv_sectohz(vgen_hwd_interval));
 
 		/* Phase 1 involves negotiating the version */
 		rv = vgen_send_version_negotiate(ldcp);
--- old/usr/src/uts/sun4v/io/vsw_switching.c	2015-08-19 07:25:32.238520654 -0400
+++ new/usr/src/uts/sun4v/io/vsw_switching.c	2015-08-19 07:25:32.243941910 -0400
@@ -179,7 +179,7 @@
 	int		rv;
 
 	/* wait time used on successive retries */
-	xwait = drv_usectohz(vsw_setup_switching_delay * MICROSEC);
+	xwait = drv_sectohz(vsw_setup_switching_delay);
 
 	CALLB_CPR_INIT(&cprinfo, &vswp->sw_thr_lock, callb_generic_cpr,
 	    "vsw_setup_sw_thread");
--- old/usr/src/uts/sun4v/ontario/io/tsalarm.c	2015-08-19 07:25:32.434571178 -0400
+++ new/usr/src/uts/sun4v/ontario/io/tsalarm.c	2015-08-19 07:25:32.440101698 -0400
@@ -759,7 +759,7 @@
 	if (tsal_pcp_send_recv(sc, &send_msg, &recv_msg,
 	    PCP_COMM_TIMEOUT) < 0) {
 		/* we either timed out or erred; either way try again */
-		(void) delay(PCP_COMM_TIMEOUT * drv_usectohz(1000000));
+		(void) delay(drv_sectohz(PCP_COMM_TIMEOUT));
 
 		if (tsal_pcp_send_recv(sc, &send_msg, &recv_msg,
 		    PCP_COMM_TIMEOUT) < 0) {
@@ -834,7 +834,7 @@
 	if (tsal_pcp_send_recv(sc, &send_msg, &recv_msg,
 	    PCP_COMM_TIMEOUT) < 0) {
 		/* we either timed out or erred; either way try again */
-		(void) delay(PCP_COMM_TIMEOUT * drv_usectohz(1000000));
+		(void) delay(drv_sectohz(PCP_COMM_TIMEOUT));
 
 		if (tsal_pcp_send_recv(sc, &send_msg, &recv_msg,
 		    PCP_COMM_TIMEOUT) < 0) {
@@ -1093,7 +1093,7 @@
 				goto done;
 			}
 			/* waiting 5 secs. Do we need 5 Secs? */
-			(void) delay(PCP_GLVC_SLEEP * drv_usectohz(1000000));
+			(void) delay(drv_sectohz(PCP_GLVC_SLEEP));
 		} /* while trying the io operation */
 
 		if (n < 0) {
